For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SandboxDashboard
DocumentationAPI ReferenceChangelog
  • Introduction
    • Overview
    • Authentication
    • TypeScript SDK
    • Python SDK
  • API Principles
    • Design Principles
    • Development Lifecycle
    • Breaking Changes
    • Pagination
    • Error Responses
  • Resources
    • States
    • Testing
    • Triage
    • Webhooks
  • API Reference
        • GETList Estimate Charges
        • POSTCreate Estimate Charge
        • POSTAuthorize stripe Estimate Charge
        • POSTCapture stripe Estimate Charge
        • POSTRefund stripe Estimate Charge
        • POSTCancel stripe Estimate Charge
  • Deprecated APIs
    • Overview
LogoLogo
SandboxDashboard
API ReferenceBillingEstimate Charges

List Estimate Charges

GA
GET
/api/estimate-charges
GET
/api/estimate-charges
$curl https://app.usebridge.com/api/estimate-charges \
> -H "X-API-Key: <apiKey>"
200Retrieved
1{
2 "items": [
3 {
4 "id": "id",
5 "createdAt": "2024-01-15T09:30:00Z",
6 "updatedAt": "2024-01-15T09:30:00Z",
7 "amount": 1,
8 "status": "PENDING",
9 "patientId": "patientId",
10 "serviceEligibilityId": "serviceEligibilityId",
11 "externalId": "externalId",
12 "authorizedAmount": 1,
13 "capturedAmount": 1,
14 "refundedAmount": 1
15 },
16 {
17 "id": "id",
18 "createdAt": "2024-01-15T09:30:00Z",
19 "updatedAt": "2024-01-15T09:30:00Z",
20 "amount": 1,
21 "status": "PENDING",
22 "patientId": "patientId",
23 "serviceEligibilityId": "serviceEligibilityId",
24 "externalId": "externalId",
25 "authorizedAmount": 1,
26 "capturedAmount": 1,
27 "refundedAmount": 1
28 }
29 ],
30 "count": 1
31}
Was this page helpful?
Previous

Create Estimate Charge

Next
Built with

Authentication

X-API-Keystring
API Key authentication via header

Query parameters

filter.patientIdstringOptional

should be JSON-encoded, for example filter.patientId=“pat_xxx”

filter.serviceIdstringOptional

should be JSON-encoded, for example filter.serviceId=“svc_xxx”

filter.serviceEligibilityIdstringOptional

should be JSON-encoded, for example filter.serviceEligibilityId=“sel_xxx”

filter.statusenumOptional

should be JSON-encoded, for example filter.status=“AUTHORIZED”

pageintegerOptional
limitintegerOptional

Response

This endpoint returns an object.
itemslist of objects
List results
countinteger

Total count (if available)